import React from 'react';
import PropTypes from 'prop-types';
import { getThumbnail } from '../utils/video';
class VideoItem extends React.Component {

  render() {
    return (
      <section className="video-item">
        <section className="video-thumbnail-container">
          <img className="video-thumbnail" src={ getThumbnail(this.props.id) } alt=""/>
        </section>
        <h3 className="video-title">{ this.props.title }</h3>
      </section>
    )
  }
}

VideoItem.propTypes = {
  id: PropTypes.string,
  title: PropTypes.string,
}
export default (VideoItem);